Subject: Re: [QUESTION] how to find options set by scalar?

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 22 Sep 2025 08:20:12 +0200

On Fri, Sep 19, 2025 at 11:38:50AM -0400, Derrick Stolee wrote:
> On 9/18/2025 4:29 PM, Junio C Hamano wrote:
> > Matthew Hughes <[email-masked]> writes:
> > 
> >> I was also looking through the list of config options (within
> >> `set_recommended_config`) and thought it might also be useful to comment why
> >> each those settings are recommended in the context of working within a large
> >> repository.
> > 
> > That would be ultra useful.
> 
> I think all of these ideas are good ones. Adding the comment as Patrick
> described is good, for sure.
> 
> Instead of commenting the _reason_ in code or in the config, it would be
> good to list the reasons for each recommended config in the Scalar docs
> so they would be visible in web docs [1] for easy discovery.
> 
> [1] https://git-scm.com/docs/scalar
> 
> It seems like Patrick is already 80% of the way to a patch for the
> comment in the config. I'll see if I can carve out some time next week
> for the commentary on the config options in the Documentation.

Agreed, that seems like a good compromise: we note in the config the
values that were set by scalar(1), but the more verbose justification
would be part of the docs.

I'm a bit stretched right now, so if you want to work on this please
feel free to just pick my patch and iterate on it.

Thanks!

Patrick